Moonborn — API · auth
Request a password-reset email (captcha-gated)
POST/v1/auth/forgot_passwordscope · Public (no auth)
Request body
| Field | Type | Description |
|---|---|---|
| emailreq | string | |
| captchaTokenreq | string |
Responses
202Reset email queued
422Validation error
Body
| Field | Type | Description |
|---|---|---|
| errorreq | object | |
| error.codereq | string | |
| error.messagereq | string |
Examples
cURL
curl -X POST https://api.moonborn.co/v1/auth/forgot_password \
-H "Authorization: Bearer $MOONBORN_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"email": "<string>",
"captchaToken": "<string>"
}'TypeScript
import Moonborn from '@moonborn/sdk';
const client = new Moonborn({ apiKey: process.env.MOONBORN_API_KEY });
const result = await client.auth.forgotPassword({
email: "<string>",
captchaToken: "<string>",
});Python
import os
from moonborn import Moonborn
client = Moonborn(api_key=os.environ["MOONBORN_API_KEY"])
result = client.auth.forgot_password(
email="<string>",
captcha_token="<string>",
)